---
- name: Do apt-get update
  apt:
    update_cache: yes

- name: Install dependency packages
  apt:
    name: imagemagick

- name: Download and prepare NVM
  become: yes
  become_user: coder
  shell: curl -o- https://raw.githubusercontent.com/nvm-sh/nvm/master/install.sh | bash
  args:
    executable: /bin/bash

- name: Install Node v18.17.0
  become: yes
  become_user: coder
  shell: source /home/coder/.zshrc && nvm install v18.17.0
  args:
    executable: /bin/zsh

# Get the code
- name: Get the code repo
  become: yes
  become_user: coder
  git:
    repo: 'git@gitlab.com:rdapp/app.git'
    dest: "{{ code_path }}"
    version: "{{ branch }}"
    accept_hostkey: yes
